Package org.eclipse.rdf4j.workbench.commands

## Class ExploreServlet

- java.lang.Object
- - org.eclipse.rdf4j.workbench.base.AbstractServlet
  - - org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet
    - - org.eclipse.rdf4j.workbench.base.TransformationServlet
      - - org.eclipse.rdf4j.workbench.base.TupleServlet
        - - org.eclipse.rdf4j.workbench.commands.ExploreServlet

- All Implemented Interfaces:
    `javax.servlet.Servlet`, `RepositoryServlet`

      public class ExploreServlet
      extends TupleServlet

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `ExploreServlet.ResultCursor` | Class for keeping track of location within the result set, relative to offset and limit.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `LIMIT` |
    `protected static int` | `LIMIT_DEFAULT` |

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.TupleServlet

      `variables, xsl`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `CONTEXT, cookies, INFO, NON_VERIFYING_PARSER_CONFIG`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `info, manager, MANAGER_PARAM, repository, REPOSITORY_PARAM, vf`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `ACCEPT, appConfig, APPLICATION_JAVASCRIPT, APPLICATION_SPARQL_RESULTS_XML, APPLICATION_XML, config, DEFAULT_JSONP_CALLBACK_PARAMETER, JSONP_CALLBACK_PARAMETER, JSONP_ENABLED, JSONP_VALIDATOR, log, MOZILLA, MSIE, SERVER_PASSWORD, SERVER_USER, SERVER_USER_PASSWORD, TEXT_HTML, TEXT_PLAIN, USER_AGENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExploreServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getCookieNames()` |
    `protected ExploreServlet.ResultCursor` | `processResource​(RepositoryConnection con, TupleResultBuilder builder, Value value, int offset, int limit, boolean render)` | Query the repository for all instances of the given value, optionally writing the results into the HTTP response.
    `void` | `service​(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp, String xslPath)` |
    `protected void` | `service​(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp, TupleResultBuilder builder, RepositoryConnection con)` |

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.TupleServlet

      `service`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `doPost, init, service, service`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `setRepository, setRepositoryInfo, setRepositoryManager`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `checkJSONP, destroy, getBooleanResultFormat, getJSONPResultFormat, getResultWriter, getServletConfig, getServletInfo, getTupleResultBuilder, getTupleResultFormat, service`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, service`

- - ### Field Detail

    - #### LIMIT

          protected static final String LIMIT

      See Also:
        Constant Field Values

    - #### LIMIT_DEFAULT

          protected static final int LIMIT_DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExploreServlet

          public ExploreServlet()

  - ### Method Detail

    - #### getCookieNames

          public String[] getCookieNames()

      Overrides:
        `getCookieNames` in class `TransformationServlet`

    - #### service

          public void service​(WorkbenchRequest req,
                              javax.servlet.http.HttpServletResponse resp,
                              String xslPath)
                       throws Exception

      Overrides:
        `service` in class `TupleServlet`
      Throws:
        `Exception`

    - #### service

          protected void service​(WorkbenchRequest req,
                                 javax.servlet.http.HttpServletResponse resp,
                                 TupleResultBuilder builder,
                                 RepositoryConnection con)
                          throws BadRequestException,
                                 RDF4JException

      Overrides:
        `service` in class `TupleServlet`
      Throws:
        `BadRequestException`
        `RDF4JException`

    - #### processResource

          protected ExploreServlet.ResultCursor processResource​(RepositoryConnection con,
                                                                TupleResultBuilder builder,
                                                                Value value,
                                                                int offset,
                                                                int limit,
                                                                boolean render)
                                                         throws RDF4JException

      Query the repository for all instances of the given value, optionally writing the results into the HTTP response.
      Parameters:
        `con` - the connection to the repository
        `builder` - used for writing to the HTTP response
        `value` - the value to query the repository for
        `offset` - The result at which to start rendering results.
        `limit` - The limit on the number of results to render.
        `render` - If false, suppresses output to the HTTP response.
      Returns:
        The count of all triples in the repository using the given value.
      Throws:
        `RDF4JException` - if there is an issue iterating through results